## BluetoothChooserButton

BluetoothChooserButton — a Bluetooth chooser button

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | bluetooth_chooser_button_available ()
GtkWidget * | bluetooth_chooser_button_new ()

## Properties

char * | device | Read / Write / Construct
gboolean | is-available | Read

## Signals

void | chooser-created | Run Last

## Types and Values

| BluetoothChooserButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── BluetoothChooserButton

## Implemented Interfaces

BluetoothChooserButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Includes

    #include <bluetooth-chooser-button.h>

## Description

A button used to select Bluetooth devices which will pop-up a BluetoothChooser widget inside a dialogue when clicked.

## Functions

### bluetooth_chooser_button_available ()

    gboolean
    bluetooth_chooser_button_available (BluetoothChooserButton *button);

Returns whether there is a powered Bluetooth adapter.

#### Parameters

button | a BluetoothChooserButton |

#### Returns

`TRUE` if there is a powered Bluetooth adapter available, and the button should be sensitive.

### bluetooth_chooser_button_new ()

    GtkWidget *
    bluetooth_chooser_button_new (void);

Returns a new BluetoothChooserButton widget.

#### Returns

a BluetoothChooserButton widget.

## Types and Values

### BluetoothChooserButton

    typedef struct _BluetoothChooserButton BluetoothChooserButton;

The BluetoothChooserButton struct contains only private fields and should not be directly accessed.

## Property Details

### The `“device”` property

      “device”                   char *

The Bluetooth address of the selected device or `NULL`.

Owner: BluetoothChooserButton

Flags: Read / Write / Construct

Default value: NULL

### The `“is-available”` property

      “is-available”             gboolean

`TRUE` if there is a powered Bluetooth adapter available.

See also: `bluetooth_chooser_button_available()`

Owner: BluetoothChooserButton

Flags: Read

Default value: TRUE

## Signal Details

### The `“chooser-created”` signal

    void
    user_function (BluetoothChooserButton *self,
                   GObject                *chooser,
                   gpointer                user_data)

The signal is sent when a popup dialogue is created for the user to select a device. This signal allows you to change the configuration and filtering of the tree from its defaults.

#### Parameters

self | a BluetoothChooserButton widget |
chooser | a BluetoothChooser widget |
user_data | user data set when the signal handler was connected. |

Flags: Run Last